CreateVideoUpload

POST/media/v1/projects/{project_id}/videos/upload

Path Parameters

project_id*project_id

The project_id path parameter.

Request Body

required
application/json
{
  "org_id": "OR98234j23",
  "name": "My Video",
  "video_quality": "VIDEO_QUALITY_PRO"
}
org_id?string
name?string
video_quality?object

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/videos.v1.VideoUpload",
  "$ref-value": {
    "type": "object",
    "properties": {
      "video_id": {
        "type": "string",
        "examples": [
          "FpzVPNx1cG"
        ],
        "title": "video_id"
      },
      "poster_id": {
        "type": "string",
        "examples": [
          "LmNoPqR678"
        ],
        "title": "poster_id"
      },
      "video_upload_url": {
        "type": "string",
        "examples": [
          "https://cdn.example.com/video.mp4"
        ],
        "title": "video_upload_url"
      },
      "poster_upload_url": {
        "type": "string",
        "examples": [
          "https://cdn.example.com/poster.jpg"
        ],
        "title": "poster_upload_url"
      },
      "expires_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "expires_at"
      }
    },
    "title": "VideoUpload",
    "additionalProperties": false
  }
}
curl -X POST "https://api.rixl.com/media/v1/projects/Bq4y3QB38S/videos/upload" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

application/json

{
  "$ref": "#/components/schemas/videos.v1.VideoUpload",
  "$ref-value": {
    "type": "object",
    "properties": {
      "video_id": {
        "type": "string",
        "examples": [
          "FpzVPNx1cG"
        ],
        "title": "video_id"
      },
      "poster_id": {
        "type": "string",
        "examples": [
          "LmNoPqR678"
        ],
        "title": "poster_id"
      },
      "video_upload_url": {
        "type": "string",
        "examples": [
          "https://cdn.example.com/video.mp4"
        ],
        "title": "video_upload_url"
      },
      "poster_upload_url": {
        "type": "string",
        "examples": [
          "https://cdn.example.com/poster.jpg"
        ],
        "title": "poster_upload_url"
      },
      "expires_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "expires_at"
      }
    },
    "title": "VideoUpload",
    "additionalProperties": false
  }
}